Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class BusinessSmartEngine

    java.lang.Object
      |
      +--theory.smart.foundation.BusinessSmartEngine

public abstract class BusinessSmartEngine
extends java.lang.Object

BusinessSmartEngine is an internal utility used by ConfigurableEntity beans. It is only called from the ConfigurableEntity base class. This particular implementation uses the BusinessSmartWorkArea to store runtime properties of ConfigurableEntities. Other app server's "WorkArea" implementation can be plugged in.

Constructor Summary
`BusinessSmartEngine()`

Method Summary
`protected static void` | `addSystemProperty(java.lang.String key, java.lang.Object value)` Add a system property to the system storage area.
`protected static com.sun.java.util.collections.Map` | `getSystemProperties()` Get all system properties from storage area.
`protected static java.lang.Object` | `getSystemProperty(java.lang.String key)` Get a system property given a key.
`protected static void` | `removeAllSystemProperties()` Remove all system properties from storage area.
`protected static java.lang.Object` | `removeSystemProperty(java.lang.String key)` Remove a system property associated to the input key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessSmartEngine

    public BusinessSmartEngine()

Method Detail

### addSystemProperty

    protected static final void addSystemProperty(java.lang.String key,
                                                  java.lang.Object value)

  Add a system property to the system storage area.

### getSystemProperties

    protected static final com.sun.java.util.collections.Map getSystemProperties()

  Get all system properties from storage area. Currently this is disabled. Return NULL.

### getSystemProperty

    protected static final java.lang.Object getSystemProperty(java.lang.String key)

  Get a system property given a key.

### removeAllSystemProperties

    protected static final void removeAllSystemProperties()

  Remove all system properties from storage area. Currently this is disabled.

### removeSystemProperty

    protected static final java.lang.Object removeSystemProperty(java.lang.String key)

  Remove a system property associated to the input key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.